---a generic camera and target path exporter
---written by viktor vicsek
--- MAKE SURE TO SELECT A CAMERA before running this script
---- works with target cameras

--filesave dialog
sve = getsavefilename caption:"Export path to:" types:"V4Campath(*.vcp)|*.vcp|"
---make sure we got a filename
if (sve) != undefined do
(

--create file to write to
outfile = getfilenamefile sve
outpath = getfilenamepath sve
outfile += ".vcp"
---define string stream
out = createfile (outpath + "\\" + outfile)
---start writing
format "<CAMPATH>\n" to:out
----get selected cam
c=selection[1]
targ=c.target
---for every active frame
for t = animationrange.start to animationrange.end do
(
format "<FRAME\n" to:out

at time t current_pos = c.pos
at time t current_tpos = targ.pos

p="cx=\"" +(current_pos.x as string)  + "\"\n"
format p  to:out

p="cy=\"" +(current_pos.y as string)  + "\"\n"
format p  to:out

p="cz=\"" +(current_pos.z as string)  + "\"\n"
format p  to:out

p="tx=\"" +(current_tpos.x as string)  + "\"\n"
format p  to:out

p="ty=\"" +(current_tpos.y as string)  + "\"\n"
format p  to:out

p="tz=\"" +(current_tpos.z as string)  + "\"\n"
format p  to:out

format "></FRAME>\n" to:out

)

format "</CAMPATH>" to:out
close out
)